> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/docs/v2.1/enablement-services/mutations.md).

# Mutations

{% hint style="warning" %}
This page is deprecated.
{% endhint %}

[registerOrganizationUser](/docs/v2.1/enablement-services/mutations/registerorganizationusermutation.md) - Create a new user in Bloom's Enablement Services.

***

[importConnection](/docs/v2.1/enablement-services/mutations/importconnectionmutation.md) - Import an aggregator connection for a user, triggering Bloom's Enablement Services to ingest and categorize transactions associated with that connection.

***

[openTradeline](/docs/v2.1/enablement-services/mutations/opentradelinemutation.md) - Used to confirm that a user has opted to have a recurring bill reported to the credit bureau(s).

***

[CloseTradeline](/docs/v2.1/enablement-services/mutations/closetradelinemutation.md) Used to confirm that a user has opted to stop having a recurring bill reported to the credit bureau(s)

***

[DeleteMe](/docs/v2.1/enablement-services/mutations/deletememutation.md) - Delete a user in Bloom's Enablement Services. Completely closes an account and stops reporting of tradelines to credit bureaus.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/docs/v2.1/enablement-services/mutations.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
